/* IBM Tivoli OMEGAMON XE for IMS for z/OS Situations                */

/* Add Heartbeat u-advisor for *HUB to drive IPFILTER                */


/* ***************************************************************** */
/* * Add the rule for doing heartbeat processing.                  * */
/* ***************************************************************** */

/* ** IMS Heartbeat ** */
/* Do NOT remove the DELETE statements from the Heartbeat situations */
/* and replace with UPDATE statements.  The columns have changed. */
DELETE FROM O4SRV.TOBJACCL 
WHERE OBJNAME = "IMS_Plex_Heartbeat";

DELETE FROM O4SRV.SITDB 
WHERE RULENAME = "IMS_Plex_Heartbeat";

DELETE FROM O4SRV.TSITDESC 
WHERE SITNAME = "IMS_Plex_Heartbeat";

$PARMS("Heart beat situation: This situation should never be raised");
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
  )
VALUES
  ("IMS_Plex_Heartbeat",                                  /* SITNAME */
   ?,                                                      /* ADVICE */
   "00G0000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                 /* AUTOSOP */
   "*YES",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "Y",                                                       /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1080330100405000",                                    /* LSTDATE */
   "V420",                                             /* LSTRELEASE */
   "BUILD",                                             /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "IMS_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEF_TIME */
   "N",                                                  /* REFLEXOK */
   "*NONE",                                              /* SENDMSGQ */
   "TFWD=Y;SEV=Unknown;TDST=0;~",                         /* SITINFO */
   "",                                                     /* SOURCE */
   "Heartbeat situation to detect IMS data sharing groups",  /* TEXT */
   "*IF  *VALUE IMSplex_Filter.Group_Or_Subsystem_Name *EQ *NOFETCH"
  );
  

  
/* ***************************************************************** */
/* * Distribute to the managed system list IMS_PLEXVIER            * */
/* ***************************************************************** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   QIBCLASSID ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1080129000000000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*MVS_IMSPLEX" ,                                         /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "5535",                                             /* QUBCLASSID */ 
  "IMS_Plex_Heartbeat"                                    /* OBJNAME */
  );


$PARMS("More than 90% of the RLEs (Resource List Entries) in the Couplin
g facility are used. Operation of IMS may be severely impacted if RLE us
age reaches 100%. Actions: Identify the transaction(s) using the highest
 number of RLEs and terminate one or more of them. Redesign the transact
ion to use less RLEs. Increase the number of RLEs in the Coupling Facili
ty,");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151639000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE CF_Group_Name.Record_Used_Percent *GE 90",     /* PDT */
   "MV215",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Critical~",                                      /* SITINFO */
   "IMS_CMD_CF_RLE_Pct_Critical",                         /* SITNAME */
   "CF RLE percent used exceeded the critical threshold."    /* TEXT */
  );


$PARMS("A transaction is waiting for more than 7 seconds for a resource.
 Action: Identify the owner of the resource. If one of the involved tran
sactions is not working correctly, terminate it. Perhaps redesign it to 
use resources more efficiently.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151645000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE IMS_Lock_Conflicts.Lock_Status *EQ WAITER *AND *VALUE IMS
_Lock_Conflicts.Lock_Elapsed_Time *GE 7",                     /* PDT */
   "MV358 MV215",                                         /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Critical~",                                      /* SITINFO */
   "IMS_CMD_Lock_Wait_Time_Critical",                     /* SITNAME */
   "Lock waiter elapsed time has exceeded the critical threshold."
  );

  
/* TODO:  This situation has been updated since v410 and therefore */ 
/* the following Delete and Insert should be converted to an UPDATE */
/* statement as for DCR #107. */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_MQ_STATUS_Critical";  
  

$PARMS("The connection to an MQ (Message Queuing) Subsystem is broken. A
ction: Reestablish the connection.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151647000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_KIP_MQ_Statistics.Subsystem_Status *NE Connected",
                                                              /* PDT */
   "MV432",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "001500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Critical~",                                      /* SITINFO */
   "IMS_CMD_MQ_STATUS_Critical",                          /* SITNAME */
   "MQ Status critical warning for MQ Subsystems not connected"
  );


$PARMS("The number of messages waiting to be sent on a Multiple System C
oupling (MSC) link is equal or greater than the threshold of 55. Action:
 Examine the status of the MSC link. Take actions to make the link opera
tional again in case it is down.");
INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151648000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_MSC_Logical_Links.Queue_Count *GE 55",
                                                              /* PDT */
   "MV698",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Critical~",                                      /* SITINFO */
   "IMS_CMD_MSC_Q_Count_Critical",                        /* SITNAME */
   "MSC Q count has exceeded the critical threshold"         /* TEXT */
  );


$PARMS("The R0 response time of an RTA group has exceeded 2 seconds or t
he R1 response time has exceeded 7 seconds. Action: Determine the reason
 for the bad response time (transaction waiting for a resource, bad desi
gn, ...) ");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151649000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_RTA_GNT.R0_Time *GE 2 *OR *VALUE Local_RTA_GNT.R1_T
ime *GE 7",                                                   /* PDT */
   "MV165 MV58",                                          /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Critical~",                                      /* SITINFO */
   "IMS_CMD_RTA_Group_Resp_Critical",                     /* SITNAME */
   "RTA Group has exceeded the critical threshold"           /* TEXT */
  );

$PARMS("More than 90% of the RLEs (Resource List Entries) in the Couplin
g facility are used. Operation of IMS may be severely impacted if RLE us
age reaches 100%. Actions: Identify the transaction(s) using the highest
 number of RLEs and terminate one or more of them. Redesign the transact
ion to use less RLEs. Increase the number of RLEs in the Coupling Facili
ty,");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151650000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE CF_Group_Name.Record_Used_Percent *GE 90",     /* PDT */
   "MV432",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Critical~",                                      /* SITINFO */
   "IMS_IRLM_CF_RLE_Percent_Crit",                        /* SITNAME */
   "CF RLE percent used exceeded the critical threshold."    /* TEXT */
  );


$PARMS("Between 80 and 90% of the RLEs (Resource List Entries) in the Co
upling facility are in use. Operation of IMS may be severely impacted if
 RLE usage reaches 100%. Actions: Identify the transaction(s) using the 
highest number of RLEs and terminate one or more of them. Redesign the t
ransaction to use less RLEs. Increase the number of RLEs in the Coupling
 Facility,");
 
INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G00000000000000000000000000000##000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980819093951000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE CF_Group_Name.Record_Used_Percent *GE 80 *AND *VALUE CF_G
roup_Name.Record_Used_Percent *LT 90",                        /* PDT */
   "MV312 MV432",                                         /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Warning~",                                      /* SITINFO */
   "IMS_IRLM_CF_RLE_Percent_Warning",                     /* SITNAME */
   "CF RLE percent used exceeded the warning threshold."     /* TEXT */
  );

  /* Delete for situation no longer inserted */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MQ_Connection_Status";


$PARMS("The number of messages waiting to be sent on a Multiple System C
oupling (MSC) link is equal or greater than the threshold of 100. Action
: Examine the status of the MSC link. Take actions to make the link oper
ational again in case it is down.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151652000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_MSC_Logical_Links.Queue_Count *GE 100",  /* PDT */
   "MV698",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Critical~",                                      /* SITINFO */
   "IMS_MSC_Queue_Count_Critical",                        /* SITNAME */
   "MSC queue count has exceeded the critical threshold."    /* TEXT */
  );


$PARMS("The number of messages waiting to be sent on a Multiple System C
oupling (MSC) link is between 50 and 99. Action: This is a Warning; no i
mmediate action required. Watch the MSC link.");
INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G00000000000000000000000000000##000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980819094131000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_MSC_Logical_Links.Queue_Count *GE 50 *AND *VALUE Lo
cal_MSC_Logical_Links.Queue_Count *LE 99",                    /* PDT */
   "MV698 MV752",                                         /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Warning~",                                      /* SITINFO */
   "IMS_MSC_Queue_Count_Warning",                         /* SITNAME */
   "MSC queue count has exceeded the warning threshold."     /* TEXT */
  );


$PARMS("An MSC link is not open. Action: Activate it with command /ACTIV
ATE LINK link#. Contact your Network (VTAM) specialist, if this does not
 resolve the problem.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980903153413000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_MSC_Physical_Links.Physical_Link_Status *EQ NOTOPEN
",                                                            /* PDT */
   "MV152",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "IMS_MSC_Queue_Status",                                /* SITNAME */
   "The MSC Queue is not operational"                        /* TEXT */
  );

$PARMS("The R0 response time of an RTA group has exceeded 5 seconds or t
he R1 response time has exceeded 7 seconds. Action: Determine the reason
 for the bad response time (transaction waiting for a resource, bad desi
gn, ...) ");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151653000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_RTA_GNT.R0_Time *GE 5 *OR *VALUE Local_RTA_GNT.R1_T
ime *GE 7",                                                 /* PDT */
   "MV165 MV58",                                          /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Critical~",                                      /* SITINFO */
   "IMS_RTA_Group_Response_Critical",                     /* SITNAME */
   "RTA Group response has exceeded the critical threshold."
  );


$PARMS("The R0 response time of an RTA group is between 3 and 5 seconds 
or the R1 response time is between 5 and 7 seconds. Action: No immediate
 action required. Watch the response time.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G00000000000000000000000000000##000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980819094204000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF ( *VALUE Local_RTA_GNT.R0_Time *GE 3 *AND *VALUE Local_RTA_GNT.R
0_Time *LT 5) *OR ( *VALUE Local_RTA_GNT.R1_Time *GE 5 *AND *VALUE Local
_RTA_GNT.R1_Time *LT 7)",                                     /* PDT */
   "MV165 MV408 MV58 MV233",                              /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Warning~",                                      /* SITINFO */
   "IMS_RTA_Group_Response_Warning",                      /* SITNAME */
   "RTA Group response has exceeded the warning threshold."  /* TEXT */
  );


$PARMS("The R0 response time of an RTA item has exceeded 5 seconds or th
e R1 response time has exceeded 7 seconds. Action: Determine the reason 
for the bad response time (transaction waiting for a resource, bad desig
n, ...) ");
INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151654000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_RTA_INT.R0_Time *GE 5 *OR *VALUE Local_RTA_INT.R1_T
ime *GE 7",                                                   /* PDT */
   "MV165 MV58",                                          /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Critical~",                                      /* SITINFO */
   "IMS_RTA_Item_Response_Critical",                      /* SITNAME */
   "RTA Item response has exceeded the critical threshold."  /* TEXT */
  );


$PARMS("The R0 response time of an RTA item is between 3 and 5 seconds 
or the R1 response time is between 5 and 7 seconds. Action: No immediate
 action required. Watch the response time.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G00000000000000000000000000000##000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980819094240000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF ( *VALUE Local_RTA_INT.R0_Time *GE 3 *AND *VALUE Local_RTA_INT.R
0_Time *LT 5) *OR ( *VALUE Local_RTA_INT.R1_Time *GE 5 *AND *VALUE Local
_RTA_INT.R1_Time *LT 7)",                                     /* PDT */
   "MV165 MV408 MV58 MV233",                              /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "SEV=Warning~",                                      /* SITINFO */
   "IMS_RTA_Item_Response_Warning",                       /* SITNAME */
   "RTA Item response has exceeded the warning threshold."   /* TEXT */
  );

$PARMS("The pool identified in this exception has exceeded the threshold
 for largest free storage area. When the largest area available becomes 
too small to handle the request, applications can stall or terminate. Yo
u can address this issue by reducing the amount of work being requested 
or increasing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Pool Largest Free Sp
ace Low","1040709095709000","00G0000000000000000000000000000000000000000
","IMS_Largest_Freeblock_Warning","*IF *VALUE Pool_Utilization.Largest_F
ree_Block *LE 4916 *AND *VALUE Pool_Utilization.Largest_Free_Block *GT 4
096");

$PARMS("The pool identified in this exception has exceeded the threshold
 for largest free storage area. When the largest area available becomes 
too small to handle the request, applications can stall or terminate. Yo
u can address this issue by reducing the amount of work being requested 
or increasing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Pool Largest Free 
Space Low","1040709095709000","00G00000000000000000000000000000000000000
00","IMS_Largest_Freeblock_Critical","*IF *VALUE Pool_Utilization.Larges
t_Free_Block *LE 4096");

/* TODO:  This situation has been updated since v410 and therefore */
/* the following Delete and Insert should be converted to an UPDATE */
/* statement as for DCR #107. */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CPU_High_Warning";

$PARMS("The address space identified in the exception is using a higher
percent of CPU than the specified threshold. This could be an indication
 of a run away task or that the region is in the middle of error recover
y. If this condition persists, look at the job logs for the started task
 to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Regions using high C
PU","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_CPU_High_Warning","*IF *VALUE Address_Spaces.CPU_Percentage *GE 50.00 
*AND *VALUE Address_Spaces.CPU_Percentage *LT 60.00");

$PARMS("The address space identified in the exception is using a higher
percent of CPU than the specified threshold. This could be an indication
 of a run away task or that the region is in the middle of error recover
y. If this condition persists, look at the job logs for the started task
 to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Regions using high 
CPU","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_CPU_High_Critical","*IF *VALUE Address_Spaces.CPU_Percentage *GE 60.0
0");

$PARMS("The address space identified in the exception is using a CPU per
centage less than the specified threshold.  This could be an indication
that part or all of your IMS system has stalled. If the problem persists
, verify that all regions are active and are in a normal status.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Regions using low CP
U","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_CPU_Low_Warning","*IF *VALUE Address_Spaces.CPU_Percentage *LE 12.00 *A
ND *VALUE Address_Spaces.CPU_Percentage *GT 10.00");

$PARMS("The address space identified in the exception is using a CPU per
centage less than the specified threshold.  This could be an indication
that part or all of your IMS system has stalled. If the problem persists
, verify that all regions are active and are in a normal status.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Regions using low C
PU","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_CPU_Low_Critical","*IF *VALUE Address_Spaces.CPU_Percentage *LE 10.00"
);

$PARMS("The address space identified in the exception is doing more I/O
requests than the specified thresholds. The region may be in abend proce
ssing and generating a dump or attempting to recover from I/O errors on
a database. If the problem persists, you should look at the JOB for the
region to determine if it is currently running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Region I/O Rate High
","1040709095709000","00G0000000000000000000000000000000000000000","IMS_
Region_EXCP_High_Warning","*IF *VALUE Address_Spaces.EXCP_Rate *GE 2.0 *
AND *VALUE Address_Spaces.EXCP_Rate *LT 3.0");


$PARMS("The address space identified in the exception is doing more I/O
requests than the specified thresholds. The region may be in abend proce
ssing and generating a dump or attempting to recover from I/O errors on
a database. If the problem persists, you should look at the JOB for the
region to determine if it is currently running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Region I/O Rate Hig
h","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_Region_EXCP_High_Critical","*IF *VALUE Address_Spaces.EXCP_Rate *GE 3.0
");


$PARMS("The address space identified in the exception is doing fewer I/O
 requests than the specified thresholds. This could be an indication tha
t part of all of your IMS system has stalled. If the problem persists, y
ou should look at the JOB for the region to determine if it is currently
 running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Region I/O Rate Low"
,"1040709095709000","00G0000000000000000000000000000000000000000","IMS_R
egion_EXCP_Low_Warning","*IF *VALUE Address_Spaces.EXCP_Rate *LE 2.0 *AN
D *VALUE Address_Spaces.EXCP_Rate *GT 1.0");



$PARMS("The address space identified in the exception is doing fewer I/O
 requests than the specified thresholds. This could be an indication tha
t part of all of your IMS system has stalled. If the problem persists, y
ou should look at the JOB for the region to determine if it is currently
 running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Region I/O Rate Low
","1040709095709000","00G0000000000000000000000000000000000000000","IMS_
Region_EXCP_Low_Critical","*IF *VALUE Address_Spaces.EXCP_Rate *LE 1.0")
;

$PARMS("The address space identified in the exception is causing high pa
ge in rates for common storage. This could be an indication of a problem
 with an application using too much common storage or possibly looping.
If this condition persists, look at the job logs for the started task to
 determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Common storage page 
in rate high","1040709095709000","00G00000000000000000000000000000000000
00000","IMS_Common_PageIn_High_Warning","*IF *VALUE Address_Spaces.Commo
n_Page-In_Rate *GE 2.0 *AND *VALUE Address_Spaces.Common_Page-In_Rate *L
T 3.0");

$PARMS("The address space identified in the exception is causing high pa
ge in rates for common storage. This could be an indication of a problem
 with an application using too much common storage or possibly looping.
If this condition persists, look at the job logs for the started task to
 determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Common storage page
 in rate high","1040709095709000","00G0000000000000000000000000000000000
000000","IMS_Common_PageIn_High_Critical","*IF *VALUE Address_Spaces.Com
mon_Page-In_Rate *GE 3.0");

$PARMS("The address space identified in the exception is causing high pa
ge in rates for private storage. This could be an indication of a proble
m with an application using too much private storage or possibly looping
. If this condition persists, look at the job logs for the started task
to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Private storage page
 in rate high","1040709095709000","00G0000000000000000000000000000000000
000000","IMS_Private_PageIn_High_Warning","*IF *VALUE Address_Spaces.Pri
vate_Page-In_Rate *GE 2.0 *AND *VALUE Address_Spaces.Private_Page-In_Rat
e *LT 3.0");

$PARMS("The address space identified in the exception is causing high pa
ge in rates for private storage. This could be an indication of a proble
m with an application using too much private storage or possibly looping
. If this condition persists, look at the job logs for the started task
to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Private storage pag
e in rate high","1040709095709000","00G000000000000000000000000000000000
0000000","IMS_Private_PageIn_High_Critical","*IF *VALUE Address_Spaces.P
rivate_Page-In_Rate *GE 3.0");

$PARMS("The address space identified in the exception has a larger worki
ng set size than the specified threshold. This could be an indication of
 a problem with an application not freeing up storage after it is used o
r possibly a looping condition. If this condition persists, look at the
job logs for the started task to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Region working set h
igh","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_WSS_High_Warning","*IF *VALUE Address_Spaces.Working_Set_Size *GE 120
0 *AND *VALUE Address_Spaces.Working_Set_Size *LT 1500");

$PARMS("The address space identified in the exception has a larger worki
ng set size than the specified threshold. This could be an indication of
 a problem with an application not freeing up storage after it is used o
r possibly a looping condition. If this condition persists, look at the
job logs for the started task to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Region working set 
high","1040709095709000","00G0000000000000000000000000000000000000000","
IMS_WSS_High_Critical","*IF *VALUE Address_Spaces.Working_Set_Size *GE 1
500");


$PARMS("The address space identified in the exception has a smaller work
ing set size then the specified threshold. This could be an indication o
f a problem with an application or region being in a stalled state. If t
his condition persists, look at the job logs for the started task to det
ermine if the region is still usable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Region working set l
ow","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_WSS_Low_Warning","*IF *VALUE Address_Spaces.Working_Set_Size *LE 60 *A
ND *VALUE Address_Spaces.Working_Set_Size *GT 50");

$PARMS("The address space identified in the exception has a smaller work
ing set size then the specified threshold. This could be an indication o
f a problem with an application or region being in a stalled state. If t
his condition persists, look at the job logs for the started task to det
ermine if the region is still usable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Region working set 
low","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_WSS_Low_Critical","*IF *VALUE Address_Spaces.Working_Set_Size *LE 50"
);

  /* Delete for situation no longer inserted */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_I/ORate_High_Warning"
;

$PARMS("The system dataset identified in this exception has an I/O rate
higher than the specified threshold. High I/O rates could impact the per
formance of the IMS system. If this persists, you should verify that the
 dataset being used and the region using it are not having problems.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Dataset I/O Rate hig
h","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_DS_IORate_High_Warning","*IF *VALUE IMS_I/O.I/O_Rate *GE 80.00 *AND *VA
LUE IMS_I/O.I/O_Rate *LT 100.00");

  /* Delete for situation no longer inserted */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_I/ORate_High_Critical
";

$PARMS("The system dataset identified in this exception has an I/O rate
higher than the specified threshold. High I/O rates could impact the per
formance of the IMS system. If this persists, you should verify that the
 dataset being used and the region using it are not having problems.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Dataset I/O Rate hi
gh","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_DS_IORate_High_Critical","*IF *VALUE IMS_I/O.I/O_Rate *GE 100.00");


$PARMS("The pool identified in this exception has exceeded the threshold
 for utilization. When pool space is exhausted, applications will stall
while waiting for the pool space to become available again. You can addr
ess this issue by reducing the amount of work being requested or increas
ing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Pool space utilizati
on high","1040709095709000","00G0000000000000000000000000000000000000000
","IMS_Pool_Util_High_Warning","*IF *VALUE Pool_Utilization.Utilization_
Percentage *GE 48.00 *AND *VALUE Pool_Utilization.Utilization_Percentage
 *LT 60.00");

$PARMS("The pool identified in this exception has exceeded the threshold
 for utilization. When pool space is exhausted, applications will stall
while waiting for the pool space to become available again. You can addr
ess this issue by reducing the amount of work being requested or increas
ing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Pool space utilizat
ion high","1040709095709000","00G000000000000000000000000000000000000000
0","IMS_Pool_Util_High_Critical","*IF *VALUE Pool_Utilization.Utilizatio
n_Percentage *GE 60.00");

$PARMS("The total number of locks held has exceeded the threshold. When
the lock held count becomes too high, it increases the chances that ther
e will be lock contention and therefore causes performance degradation.
If one application is consuming most of the locks, you may want to verif
y that the application is not in a state where it cannot release the loc
ks it currently holds.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Held locks high","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_Held_
Locks_Warning","*IF *VALUE Dependent_Regions.Locks_Held_Count *GE 8 *AND
 *VALUE Dependent_Regions.Locks_Held_Count *LT 10");

$PARMS("The total number of locks held has exceeded the threshold. When
the lock held count becomes too high, it increases the chances that ther
e will be lock contention and therefore causes performance degradation.
If one application is consuming most of the locks, you may want to verif
y that the application is not in a state where it cannot release the loc
ks it currently holds.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Held locks high","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Held
_Locks_Critical","*IF *VALUE Dependent_Regions.Locks_Held_Count *GE 10")
;

$PARMS("The control task has a TCB in SVC wait. This could slow down the
 performance of the IMS system if it persists. You should look at the jo
b for the IMS control region and determine if it has abnormally terminat
ed or is in the process of generating a dump.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","Control task TCB in 
SVC wait","1040709095709000","00G000000000000000000000000000000000000000
0","IMS_WaitSVC","*IF *VALUE IMS_STATUS.Control_Task_TCB_in_SVC *EQ True
");

  /* Delete for situation no longer inserted */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DB_I/O_Errors";

$PARMS("The IMS system had a write error when trying to update the datab
ase identified in this exception. This database should be examined to de
termine if the data is still usable and valid.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Database Write erro
r","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_DB_IO_Errors","*IF *VALUE VSAM/OSAM_Databases.Write_Error *EQ Yes");

$PARMS("The IMS system has had a problem when trying to dynamically back
 out of a change to a database. When this exception occurs, you should v
erify that the database identified by the exception is still usable and
contains the correct data. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Database dynamic ba
ck out error","1040709095709000","00G00000000000000000000000000000000000
00000","IMS_DB_Dyn_Backout_Error","*IF *VALUE VSAM/OSAM_Databases.Dynami
c_Backout_Error *EQ Yes");

$PARMS("The IMS system had a write error when trying to update a data en
try database. The DEDB should be examined to determine if the data is st
ill usable and valid.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","DEDB write error","
1040709095709000","00G0000000000000000000000000000000000000000","IMS_DED
B_Error","*IF *VALUE Data_Entry_Databases.I/O_Error *EQ True");

$PARMS("The pool identified in this exception has exceeded the threshold
 for number of pool fragments. This can lead to excessive amounts of pag
ing or to applications stalling because they cannot get a large enough p
ool area to handle the request. You can attempt to reduce the fragmentat
ion by terminating tasks that may not be critical to your environment.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Pool fragmentation"
,"1040709095709000","00G0000000000000000000000000000000000000000","IMS_P
oolFreeBlocks","*IF *VALUE Pool_Utilization.Free_Blocks *GT 1");

$PARMS("The device identified in this exception has not completed an I/O
 operation since the last time the device was tested. This is an indicat
ion that it is not responding and the condition should be checked by ope
rations.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Device not respondi
ng","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_DeviceNotResponding","*IF *VALUE I/O_Devices.Responding *EQ No");

$PARMS("The device identified in this exception is currently not ready.
If this is a tape drive, it may simply be a matter of waiting for the cu
rrent long running operation to complete. If the problem persists, you s
hould contact operations to see if they can investigate what is happenin
g with the device.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Device not ready","
1040709095709000","00G0000000000000000000000000000000000000000","IMS_Dev
iceNotReady","*IF *VALUE I/O_Devices.Ready *EQ No *AND *VALUE I/O_Device
s.Type *EQ DASD");


$PARMS("The dependent region identified by this exception is currently s
wapped out of memory. This will cause delays the next time the dependent
 region is needed since all of it's pages will need to be brought back i
nto main storage. If the performance of the applications using this regi
on is critical, then you may want to consider making this region non-swa
ppable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Dependent region sw
apped out","1040709095709000","00G00000000000000000000000000000000000000
00","IMS_DepRegSwappedOut","*IF *VALUE Dependent_Regions.Residence_Statu
s *EQ SwappedOut");

$PARMS("The DB2 subsystem has been defined to the dependent region, but
the control region does not know about it. This is typically a configura
tion problem that should be discussed with the administrator of the IMS
system.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","DB2 subsystem not d
efined in control region","1040709095709000","00G00000000000000000000000
00000000000000000","IMS_ExSubNoCtl","*IF *VALUE External_Subsystems.DEPR
GN_but_no_CTLRGN *EQ Yes");

$PARMS("The DB2 subsystem has been defined to the control region, but th
e dependent region identified in the exception does not know about it. T
his is typically a configuration problem that should be discussed with t
he administrator of the IMS system.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","DB2 subsystem not d
efined in dependent region","1040709095709000","00G000000000000000000000
0000000000000000000","IMS_ExSubNoDep","*IF *VALUE External_Subsystems.CT
LRGN_but_no_DEPRGN *EQ Yes");

$PARMS("This exception will trip if the IMS system is currently in shutd
own status, but has not yet completed. If this condition persists, it ma
y be an indication that one or more of the regions associated with the I
MS system has abended during the shutdown process. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","IMS system in shutd
own","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_Inactive","*IF *VALUE IMS_STATUS.IMS_Shutdown_In_Progress *EQ True");


$PARMS("The device identified in this exception is currently in an I/O e
rror recovery state. The system will normally correct itself on this typ
e of a condition. However; if it is happening too frequently, the overal
l performance of your IMS applications could suffer or you may experienc
e loss of data. The hardware device should be checked by the hardware ve
ndor to insure that it is working properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Device in I/O error
 recovery","1040709095709000","00G00000000000000000000000000000000000000
00","IMS_DeviceErrorRecovery","*IF *VALUE I/O_Devices.In_Error_Recovery 
*EQ Yes");


$PARMS("The IRLM system has not connected to the data-sharing group. Unt
il this occurs, you will not be able to share data across a coupling fac
ility. You should check the IRLM job to see if it is running properly an
d contact IBM support if it is failing to connect to a properly configur
ed coupling facility.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","IRLM not connected 
to data-sharing group","1040709095709000","00G00000000000000000000000000
00000000000000","IMS_IRLM_Not_Connected","*IF *VALUE Internal_Resource_L
ock_Manager.IRLM_Active_in_Data_Sharing_Group *EQ No");

$PARMS("The IRLM system is inactive for this IMS. This may be valid if y
ou are not using IRLM as your lock manager. If the IRLM is required, inv
estigate the started task that is supposed to run IRLM to insure that it
 is functioning properly. You may need to simply restart the IRLM job.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","IRLM not available"
,"1040709095709000","00G0000000000000000000000000000000000000000","IMS_I
RLM_Inactive","*IF *VALUE IMS_STATUS.IRLM_Status *EQ Inactive");


$PARMS("The contention rate for data-sharing has exceeded the threshold.
 This may be an indication that an application is holding onto a lock lo
nger then it needs to. The locking reports in IMSPLEX can be used to det
ermine the owners and waiters for global locks.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","High data-sharing co
ntention rates","1040709095709000","00G000000000000000000000000000000000
0000000","IMS_IRLM_Contention_Warning","*IF *VALUE Internal_Resource_Loc
k_Manager.Real_Contention_Rate *GE 70 *AND *VALUE Internal_Resource_Lock
_Manager.Real_Contention_Rate *LT 80");


$PARMS("The contention rate for data-sharing has exceeded the threshold.
 This may be an indication that an application is holding onto a lock lo
nger then it needs to. The locking reports in IMSPLEX can be used to det
ermine the owners and waiters for global locks.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","High data-sharing c
ontention rates","1040709095709000","00G00000000000000000000000000000000
00000000","IMS_IRLM_Contention_Critical","*IF *VALUE Internal_Resource_L
ock_Manager.Real_Contention_Rate *GE 80");


$PARMS("The IRLM system uses an RLE control block for keeping track of l
ock owners and waiters. There is a finite number of these control blocks
 available. If the utilization of this area goes to 100%, then requests
for locks in the IRLM will fail causing either delays in the application
s or termination of those applications. The applications currently holdi
ng the locks should be verified to make sure they are acting properly an
d releasing the locks after they are done with the pages.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","IRLM use of RLEs is 
high", "1040709095709000","00G0000000000000000000000000000000000000000",
"IMS_IRLM_Utilization_Warning","*IF *VALUE Internal_Resource_Lock_Manage
r.Percentage_of_RLEs_in_Use *GE 70.0 *AND *VALUE Internal_Resource_Lock_
Manager.Percentage_of_RLEs_in_Use *LT 80.0");

$PARMS("The IRLM system uses an RLE control block for keeping track of l
ock owners and waiters. There is a finite number of these control blocks
 available. If the utilization of this area goes to 100%, then requests
for locks in the IRLM will fail causing either delays in the application
s or termination of those applications. The applications currently holdi
ng the locks should be verified to make sure they are acting properly an
d releasing the locks after they are done with the pages.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","IRLM use of RLEs is
 high", "1040709095709000","00G0000000000000000000000000000000000000000"
,"IMS_IRLM_Utilization_Critical","*IF *VALUE Internal_Resource_Lock_Mana
ger.Percentage_of_RLEs_in_Use *GE 80.0");


$PARMS("The number of IMS tasks that are waiting has exceeded the thresh
old. This is an indication that the system is not running as expected an
d analysis should be done to determine why the tasks are not active.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","IMS Tasks waiting","
1040709095709000","00G0000000000000000000000000000000000000000","IMS_Tas
ks_Waiting_Warning","*IF *VALUE IMS_STATUS.ITASKs_Waiting *GE 40 *AND *V
ALUE IMS_STATUS.ITASKs_Waiting *LT 50");


$PARMS("The number of IMS tasks that are waiting has exceeded the thresh
old. This is an indication that the system is not running as expected an
d analysis should be done to determine why the tasks are not active.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","IMS Tasks waiting",
"1040709095709000","00G0000000000000000000000000000000000000000","IMS_Ta
sks_Waiting_Critical","*IF *VALUE IMS_STATUS.ITASKs_Waiting *GE 50");


$PARMS("The Write Ahead capability enables the system to write data quic
ker by insuring that the resources needed for writing the data are avail
able. If this facility is not active, then some writes will take longer
to perform. The configuration for the IMS system should be checked to in
sure that write ahead is enabled.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Write ahead facilit
y not active","1040709095709000","00G00000000000000000000000000000000000
00000","IMS_LogTape_Writeahead","*IF *VALUE IMS_STATUS.Log_Tape_Write-ah
ead *EQ Inactive");


$PARMS("The VTAM ACB currently has a status of Closed and cannot be used
. This will cause connection problems for the physical terminals to IMS.
 Check the status of the VTAM started tasks to make sure they are runnin
g properly. You may need to contact operations to determine if there is
a network problem in the data center.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","VTAM ACB closed","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_VTAM
_ACB_Status","*IF *VALUE IMS_STATUS.VTAM_ACB_Status *EQ Closed");


$PARMS("The logical unit status is inactive, which is an indication that
 many of your physical terminals will not be able to connect to the IMS
system. The VTAM system should be checked to make sure it is functioning
 properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","LU inactive","10407
09095709000","00G0000000000000000000000000000000000000000","IMS_LU_Statu
s","*IF *VALUE IMS_STATUS.APPC_IMSLU_Status *EQ Inactive");


$PARMS("The Parallel DLI facility is inactive which will reduce the capa
bility of the IMS system to run concurrent DLI requests. The configurati
on of the IMS system should be checked to insure that the facility is en
abled.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Parallel DLI inacti
ve","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_Parallel_DLI_Status","*IF *VALUE IMS_STATUS.Parallel_DL/I_Status *EQ I
nactive");


$PARMS("The RECON dataset is currently reserved by another application.
This means that the dataset cannot be used by IMS until the reserve is r
eleased. Use the TSO LOCATE command to determine what other tasks may ha
ve the dataset reserved and take appropriate action to have them release
d.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","RECON dataset reser
ved","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_Recon_Reserved","*IF *VALUE RECON_Datasets.Reserved_by_Another_Job *E
Q Yes");

/* TODO:  This situation has been updated since v410 and therefore the following Delete and Insert */
/* should be converted to an UPDATE statement as for DCR #107. */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Start_DC";


$PARMS("The Start DC command was not issued for this system. If it is de
sired, issue the start now.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V100",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "Start DC not done",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_Start_DC",
   "*IF *VALUE IMS_STATUS.Start_DC_Performed *EQ False");

$PARMS("The VTAM authorized path has a status of inactive. This limits t
he capability of VTAM to perform authorization, which could prevent user
s from accessing the IMS system. Verify that VTAM is properly defined.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","VTAM Authorized pat
h inactive","1040709095709000","00G0000000000000000000000000000000000000
000","IMS_VTAM_Auth_Path","*IF *VALUE IMS_STATUS.VTAM_Authorized_Path_St
atus *EQ Inactive");


$PARMS("The dataset identified in the exception has had an I/O error whi
le trying to read or write logging information to it. Since logging info
rmation is critical for recovery, this state should be avoided. You may
want to replace the dataset used for logging if this problem persists.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Logging dataset had
 I/O error","1040709095709000","00G0000000000000000000000000000000000000
000","IMS_Logging_DS_Error","*IF *VALUE Online_Logging_Datasets.I/O_Erro
r *EQ Yes");


$PARMS("The logging facility is currently inactive. This is not a good s
tate to be in since you will loose the ability to recover your data in c
ase of errors. Check with the IMS administrator to make sure that the lo
gging facility is properly defined.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Logging dataset ina
ctive","1040709095709000","00G0000000000000000000000000000000000000000",
"IMS_Logging_AutoArchive","*IF *VALUE DASD_Logging.Auto_Archive *EQ Inac
tive");


$PARMS("The system has detected that an online change is currently activ
e in the IMS system. This in itself is not a problem, however the status
 should eventually change to inactive once the online change has complet
ed. If it does not, it is an indication that the online changes are not
completing properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Online change curre
ntly active","1040709095709000","00G000000000000000000000000000000000000
0000","IMS_Online_Change_Active","*IF *VALUE IMS_STATUS.Online_Change_in
_Progress *EQ True");


/* TODO:  This situation has been updated since v410 and therefore */
/* the following Delete and Insert should be converted to an UPDATE */
/* statement as for DCR #107. */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Online_Change_Occurred";

$PARMS("This is an indication that at least one online change has occurr
ed during the running of this IMS system. ");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V100",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "Online change has occurred",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_Online_Change_Occurred",
   "*IF *VALUE IMS_STATUS.Online_Change_has_Occurred *EQ Yes");

  /* Delete for situation no longer inserted */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OLDS_I/O_Errors_Critical
";

$PARMS("The number of Online Logging datasets that have had I/O errors h
as exceeded the limit. This is an indication that you may be having prob
lems with the DASD devices where the datasets reside. You should check t
o see what types of errors are being reported for the devices and move t
he datasets to devices that are more stable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Logging datasets wi
th I/O errors","1040709095709000","00G0000000000000000000000000000000000
000000","IMS_OLDS_IO_Errors_Critical","*IF *VALUE DASD_Logging.OLDS_with
_I/O_Errors *GE 1");

$PARMS("The number of buffer pool pages locked has exceeded the threshol
d. Locked buffers will reduce the amount of storage available to the sys
tem, however they will also insure that the access to the data in the bu
ffer is faster since the pages will be in memory. This is not a real pro
blem unless your system has real storage constraints that are impacting
other applications.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Locked buffer pool 
pages","1040709095709000","00G0000000000000000000000000000000000000000",
"IMS_BP_Locked_Count","*IF *VALUE Buffer_Pool_Statistics.Locked_Count *G
T 0");


$PARMS("The count of Online Logging Datasets is one. This means that the
re will be no place to write the logging information once this dataset f
ills up. The system configuration should be checked to make sure multipl
e online datasets are defined and that they are available to the IMS sys
tem.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Only one online log
ging dataset","1040709095709000","00G00000000000000000000000000000000000
00000","IMS_OLDS_One_Active","*IF *VALUE DASD_Logging.OLDS_Active *EQ 1"
);


$PARMS("The OSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","OSAM dataset I/O rat
e high","1040709095709000","00G0000000000000000000000000000000000000000"
,"IMS_OSAM_Rate_High_Warning","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate 
*GE 50 *AND *VALUE VSAM/OSAM_Databases.EXCP_Rate *LT 60 *AND *VALUE VSAM
/OSAM_Databases.Access_Method *EQ OSAM");


$PARMS("The OSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","OSAM dataset I/O ra
te high","1040709095709000","00G0000000000000000000000000000000000000000
","IMS_OSAM_Rate_High_Critical","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rat
e *GE 60 *AND *VALUE VSAM/OSAM_Databases.Access_Method *EQ OSAM");


$PARMS("The system is waiting on dynamic SAP, which could cause delays t
o the applications. The SAP should be checked to insure that it is funct
ioning properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Waiting on dynamic 
SAP","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_Waiting_Dyn_SAP","*IF *VALUE IMS_STATUS.Waiting_On_Dynamic_SAPs *EQ T
rue");


$PARMS("The Time Control facilities within IMS are not active. If TCO is
 needed, you should reconfigure the system to make it available.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Time control facili
ty inactive","1040709095709000","00G000000000000000000000000000000000000
0000","IMS_TCO_Inactive","*IF *VALUE IMS_STATUS.TCO_Status *EQ Inactive"
);


$PARMS("The VSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Warning~","VSAM dataset I/O rat
e high","1040709095709000","00G0000000000000000000000000000000000000000"
,"IMS_VSAM_Rate_High_Warning","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate 
*GE 30 *AND *VALUE VSAM/OSAM_Databases.EXCP_Rate *LT 80 *AND *VALUE VSAM
/OSAM_Databases.Access_Method *EQ VSAM");


$PARMS("The VSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","VSAM dataset I/O ra
te high","1040709095709000","00G0000000000000000000000000000000000000000
","IMS_VSAM_Rate_High_Critical","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rat
e *GE 80 *AND *VALUE VSAM/OSAM_Databases.Access_Method *EQ VSAM");


$PARMS("The Write Ahead capability enables the system to write data quic
ker by insuring that the resources needed for writing the data are avail
able. If this facility is not active, then some writes will take longer
to perform. The configuration for the IMS system should be checked to in
sure that write ahead is enabled.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Write ahead disable
d","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_Logging_WriteAhead","*IF *VALUE DASD_Logging.Write_Ahead_Status *EQ Ina
ctive");


$PARMS("The task responsible for doing physical logging for IMS is curre
ntly in SVC wait. If this condition persists, then the logging activitie
s for the IMS system will end up being delayed and cause the performance
 of the IMS applications to suffer.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","SEV=Critical~","Physical logger in 
SVC wait","1040709095709000","00G000000000000000000000000000000000000000
0","IMS_Physical_Logger_SVC","*IF *VALUE IMS_STATUS.Physical_Logger_TCB_
in_SVC *EQ True");

/*  Start of new situations for v410 */

$PARMS("This situation triggers when the number of active CICS threads i
s less than the threshold.  Each CICS region that is connected to DBCTL
has two parameters, MINTHRD and MAXTHRD, defined in its system generatio
n to limit the number of threads that can be used for DBCTL database acc
ess. Each thread requires a DBCTL PST.  For each CICS region, MINTHRD PS
Ts are always allocated and up to MAXTHRD PSTs can be allocated and made
 available for threads.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Warning~",
   "IMS Threads Active Low",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Threads_Active_Low",
   "*IF *VALUE DBCTL_Thread_Summaries.Active_Threads *LT 2");


$PARMS("This situation triggers when the number of active CICS threads i
s greater than the threshold.  Each CICS region that is connected to DBC
TL has two parameters, MINTHRD and MAXTHRD, defined in its system genera
tion to limit the number of threads that can be used for DBCTL database
access. Each thread requires a DBCTL PST.  For each CICS region, MINTHRD
 PSTs are always allocated and up to MAXTHRD PSTs can be allocated and m
ade available for threads.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "IMS Threads Active High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Threads_Active_High",
   "*IF *VALUE DBCTL_Thread_Summaries.Active_Threads *GT 127");

$PARMS("This situation triggers when the thread elapsed time exceeds the
 threshold.  Identifying long running threads can detect and try to prev
ent application bottlenecks and response time problems.  Long running th
reads can occur for various reasons such as database contention, IMS res
ource contention, or application programming/design errors.  OMEGAMON XE
 for IMS provides thread detail, thread call stats, and lock contention
information  that can assist with determining the cause of a long runnin
g thread.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "IMS Threads Elapsed Time High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Threads_Elapsed_Time_High",
   "*IF *VALUE DBCTL_Thread_Details.Elapsed_Thread_Time *GT 5");


$PARMS("This partition has not been initialized. You will need to initia
lize the partition before it can be used.");                            

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_HALDB_Part_Not_Initialized",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060310100810000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"A HALDB partition is in the Not Initialized state",
"*IF *VALUE HALDB_Partition_Detail.Partition_Status *EQ InitRequired"); 


$PARMS("This partition has been identified as being in a stopped state. 
If this is not intentional, you will want to start the partition.");
     
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_HALDB_Partition_Stopped",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060310100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"A HALDB Partition is in the stopped state",
"*IF *VALUE HALDB_Partition_Detail.Partition_Status *EQ Stopped"); 


$PARMS("This dependent region has been identified as having done more th
an 1000 DL/I calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegDLICallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of DB Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_Total_Calls *GT 1000")
;


$PARMS("This dependent region has been identified as having done more th
an 100 DLET calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegDLETCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of DLET Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_DLET_Calls *GT 100"); 


$PARMS("This dependent region has been identified as having done more th
an 100 GHN calls. This may indicate a looping transaction.");    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGHNCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of GHN Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GHN_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GHNP calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGHNPCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of GHNP Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GHNP_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GHU calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGHUCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of GHU Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GHU_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GN calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGNCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of GN Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GN_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GNP calls. This may indicate a looping transaction.");    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGNPCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of GNP Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GNP_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GU calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGUCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of GU Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GU_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 ISRT calls. This may indicate a looping transaction.");
    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegISRTCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of ISRT Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_ISRT_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 REPL calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegREPLCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of REPL Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_REPL_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 10 Message GN calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgGNCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of Message GN Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_GN_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 10 Message GU calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgGUCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of Message GU Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_GU_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 10 Message ISRT calls. This may indicate a looping transaction.");    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgISRTCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of Message ISRT Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_ISRT_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 10 Message PURG calls. This may indicate a looping transaction.");  
  
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgPURGCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of Message PURG Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_PURG_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 10 Message calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgTotalCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Total Number of Message Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_Total_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 100 DL/I calls per transaction.");
    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegDLICallsPerTransHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Number of DL/I Calls per Transaction for Dependent Region High",
"*IF *VALUE Dependent_Regions_Statistics.Total_Database_Per_Transaction 
*GT 100");


$PARMS("This dependent region has been identified as being utilized 0.00
%. Perhaps this region can be stopped.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepReg_Occupancy_Low",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"Region Occupancy for Dependent Region is Low",
"*IF *VALUE Dependent_Regions.Region_Occupancy_Percentage *EQ 0");


$PARMS("This dependent region has been identified as being utilized 100.
00%. Perhaps additional regions must be started.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepReg_Occupancy_High",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Region Occupancy for Dependent Region is High",
"*IF *VALUE Dependent_Regions.Region_Occupancy_Percentage *EQ 100");


$PARMS("This situation triggers when the average response time for a giv
en transaction exceeds the threshold.  Identify the response time compon
ent responsible for the majority of the time.  These response time compo
nents will be one of: Input Pre-OTMA, Input Read Exit, Input SAF, Proces
s OTMA, Output Confirm, Output Post-OTMA, or Output Exit Times.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "IMS Connect Response Time High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_Response_Time_High",
   "*IF *VALUE Local_IMSCTL_Transit_Trancode.Response_Time *GT 3.000");
   

$PARMS("This situation triggers when the number of transactions per seco
nd processed through IMS Connect exceeds the threshold.  This can occur 
for several reasons.  Temporary spikes in transaction throughput could b
e indications of errors in the client application.  Display the Response
 Time Summary by Client workspace to identify this type of problem clien
t.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "IMS Connect Transaction Message Rate High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_Tran_MsgRate_High",
 "*IF *VALUE Local_IMSCTL_Transit_Trancode.Messages_Per_Second *GT 50");
 

$PARMS("This situation triggers when the number of Negative Acknowledgem
ents (NAKs) exceeds the threshold.  The NAK can be generated either from
 the client or via OTMA.  Determine whether the NAK originates in the cl
ient or OTMA by displaying the detail for the problem transaction.  The 
OTMA_NAK_Sense_Code column will contain the sense code if the NAK origin
ated from OTMA.  From the sense code, determine the proper course of act
ion.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "IMS Connect Negative Responses High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_NAK_Response_High",
"*IF *VALUE Local_IMSCTL_Transit_Trancode.Negative_Acknowledgement_Count
 *GT 50");
 

$PARMS("This situation triggers when the average depth on socket exceeds
 the threshold.  Determine the MAXSOC setting on the IMS Connect HWS con
figuration member for the specific HWSID.  The MAXSOC determines the max
imum number of sockets that IMS Connect can open.  Also refer to member 
BPXPRMxx in SYS1.PARMLIB.  The MAXSOCKETS parameter sets a limit for the
 total number of sockets in a system, and MAXFILEPROC sets the maximum n
umber of sockets for any job.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "IMS Connect Port Average Depth High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_Port_Avg_Depth_High",
   "*IF *VALUE Local_IMSCTL_TCPIP_Usage_Detail.Average_Depth *GT 50");


$PARMS("This situation triggers when the maximum depth on socket exceeds
 the threshold.  Determine the MAXSOC setting on the IMS Connect HWS con
figuration member for the specific HWSID.  The MAXSOC determines the max
imum number of sockets that IMS Connect can open.  Also refer to member 
BPXPRMxx in SYS1.PARMLIB.  The MAXSOCKETS parameter sets a limit for the
 total number of sockets in a system, and MAXFILEPROC sets the maximum n
umber of sockets for any job.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "IMS Connect Port Maximum Depth High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_Port_Max_Depth_High",
   "*IF *VALUE Local_IMSCTL_TCPIP_Usage_Detail.Maximum_Depth *GT 50");

/*  End of new situations for v410 */

/*  New situations for OTMA Redesign */




$PARMS("This situation triggers when the percentage of TIBs (Transaction
 Instance Blocks) in use for a TMEMBER is 80% or higher. Corrective acti
on may be needed in order to prevent an OTMA flood condition which occur
s when the number of TIBs in use is 100%. TMEMBER input is rejected unti
l the flood condition is relieved. TIB growth can occur due to a stopped
 program, unavailable message region, message arrival rate exceeds proce
ssing rate, or failure to generate a CM1 IOPCB response leaving orphanne
d TIBs.");
 


INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "IMS OTMA TIBs In Use Critical",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TIBs_In_Use_Critical",
   "*IF *VALUE OTMA_TMember.TIB_Used_Percent *GE 80.00");



$PARMS("This situation triggers when the percentage of TIBs (Transaction
 Instance Blocks) in use for a TMEMBER is between 70% and 80%. Correctiv
e action may be needed to prevent an OTMA flood condition which occurs w
hen the number of TIBs in use is 100%. TMEMBER input is rejected until t
he flood condition is relieved. TIB growth can occur due to a stopped pr
ogram, unavailable message region, message arrival rate exceeds processi
ng rate, or failure to generate a CM1 IOPCB response leaving orphanned T
IBs.");
 

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Warning~",
   "IMS OTMA TIBs In Use Warning",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TIBs_In_Use_Warning",
   "*IF *VALUE OTMA_TMember.TIB_Used_Percent *GE 70.00 *AND *VALUE OTMA_
TMember.TIB_Used_Percent *LT 80.00");

$PARMS("This situation triggers when an OTMA TMEMBER is in a flood condi
tion. A flood condition occurs when the percentage of TIBs (Transaction 
Instance Blocks) in use for a TMEMBER reaches 100%. Corrective action mu
st be taken to relieve the flood condition as input is rejected for the
TMEMBER until the condition is relieved. TIB growth can occur due to a s 
topped program, unavailable message region, message arrival rate exceeds
 processing rate, or failure to generate a CM1 IOPCB response leaving or
phanned TIBs.");
 

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical~",
   "IMS OTMA TMEMBER in Flood Condition",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TMEMBER_In_Flood",
   "*IF *VALUE OTMA_TMember.User_Status *EQ Flood");


$PARMS("This situation triggers when a TPIPE is stopped.  A stopped TPIP
E has a status of stopped or input stopped.  Determine why the TPIPE has
 a stopped status and restart the TPIPE.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Warning~",
   "IMS OTMA TPIPE is stopped",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TPIPE_Stopped",
   "*IF *VALUE OTMA_TPipe.Status_STOPPED *EQ Yes *OR *VALUE OTMA_TPipe.S
tatus_Stop_Input *EQ Yes");




$PARMS("This situation triggers when a TPIPE is waiting for an ACK or NA
K for a commit-then-send, CM0, output response.  If this event persists 
for the TPIPE, the OTMA client should be investigated to determine why a
n ACK or NAK response is not occurring or taking too long.");


INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Warning~",
   "IMS OTMA TPIPE waiting on ACK or NAK",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TPIPE_Wait_ACK_NAK",
   "*IF *VALUE OTMA_TPipe.Status_WAITA *EQ Yes *OR *VALUE OTMA_TPipe.Sta
tus_WAITH *EQ Yes");




$PARMS("This situation triggers when the output queue count for a TPIPE 
exceeds the indicated threshold.");   


INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Warning~",
   "IMS OTMA TPIPE Output Queue Count High",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TPIPE_Output_Que_High",
   "*IF *VALUE OTMA_TPipe.CQueue_Count *GE 20");

/* v420 Development */

$PARMS("Bottleneck Analysis found an application program had issued a re
quest to IRLM and was waiting for a response. This wait reason can occur
 when there is a database conflict or when IRLM is waiting for internal 
 IRLM processing. Review the Local or Global Lock Conflict workspace to 
 determine if the application is waiting and identify the resource being
 locked. Review the IRLM Information workspace to determine if the IRLM 
 CSA usage is within limits and if any RLE's are available.");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_Wait_IRLM",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222135515000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"Waiting for response from IRLM address space",
"*IF *VALUE IMS_Bottleneck_Analysis_Detail.Description *EQ 'IRLM_Wait' *
AND *VALUE IMS_Bottleneck_Analysis_Detail.Transaction_Count *GT 0.0"); 

$PARMS("The application program is in a wait state at termination. Revie
w IMS Connect Summary workspace to determine if any transaction or clien
t has elongated Output Confirm Times.  IMS Connect clients using the com
mit mode 1 (CM1) and sync-level confirm model must acknowledge receipt o
f the message before IMS will fully terminate and unschedule the transac
tion.  Slow client response can cause the IWAIT in termination also driv
ing message region utilization high.");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_Wait_IWAIT_in_Term",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222140241000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"Application program IWAITing while terminating",
"*IF *VALUE IMS_Bottleneck_Analysis_Detail.Description *EQ 'IWAIT_in_Ter
m' *AND *VALUE IMS_Bottleneck_Analysis_Detail.Transaction_Count *GT 0.0"
); 

$PARMS("Bottleneck Analysis found a transaction waiting for I/O to compl
ete on the long message (LGMSG) dataset. Check the IMS Logical Terminal 
workspace (Output Queued) to determine if there are a lot of messages qu
eued to a particular LTERM. Dequeue these messages to reduce the utiliza
tion of the longt message dataset. Also, use the TRMQxx command to deter
mine all LTERMS with queue counts. See the specific instructions for the
 LTOQ and LPOQ commands.");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_Wait_LGMSG_IO",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222134837000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"Waiting for I/O to the long message (LGMSG) dataset",
"*IF *VALUE IMS_Bottleneck_Analysis_Detail.Description *EQ 'LGMSG_I/O' *
AND *VALUE IMS_Bottleneck_Analysis_Detail.Transaction_Count *GT 0.0"); 

$PARMS("Bottleneck Analysis found the application program executing with
in a dependent region. The dependent region issued a request to Program 
Isolation (PI) and was waiting for a response. Program Isolation is the 
mechanism which allows database to be simultaneously accessed and even u
pdated by different users. Review the Local Lock Conflict workspace. Det
ermine if the application is waiting and identify the resource being loc
ked.");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_Wait_PI",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222135124000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"Waiting for a Program Isolation (PI) resource",
"*IF *VALUE IMS_Bottleneck_Analysis_Detail.Description *EQ 'PI_Wait' *AN
D *VALUE IMS_Bottleneck_Analysis_Detail.Transaction_Count *GT 0.0"); 

$PARMS("Bottleneck Analysis found a transaction waiting for I/O to compl
ete to the queue blocks dataset. See if a transaction is looping and flo
oding the message queue, by checking whether the IMS Dependent Region wo
rkspace and reviewing the Message Insert value. Also check the queue blo
cks dataset utilization to see if the dataset if filling up with message
s from a runaway transaction. This can cause IMS to abend.");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_Wait_QBLKS_IO",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222133211000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"Waiting for I/O to complete to the queue blocks dataset",
"*IF *VALUE IMS_Bottleneck_Analysis_Detail.Description *EQ 'QBLKS_I/O' *
AND *VALUE IMS_Bottleneck_Analysis_Detail.Transaction_Count *GT 0.0"); 

$PARMS("Bottleneck Analysis found the transaction waiting on I/O to comp
lete as a result of synchronization (SYNC) point processing. Review the 
IMS DASD Logging workspace to determine if WADS or OLDS checkwrite rate 
is high. Review IMS Device Activity workspace to determine if volume on 
which the OLDS/WADS reside is responding and potential I/O queue depth i
ssues.");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_Wait_Sync_Point",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222135903000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"Waiting for synchronization (SYNC) point processing",
"*IF *VALUE IMS_Bottleneck_Analysis_Detail.Description *EQ 'Sync_Point_W
ait' *AND *VALUE IMS_Bottleneck_Analysis_Detail.Transaction_Count *GT 0.
0"); 

$PARMS("Bottleneck Analysis found a transaction waiting for I/O to compl
ete on the short message (SHMSG) dataset. Check the IMS Logical Terminal
 workspace (Output Queued) to determine if there are a lot of messages q
ueued to a particular LTERM.  Dequeue these messages to reduce the utili
zation of the short message dataset. Also, use the TRMQxx command to det
ermine all LTERMS with queue counts. See the specific instructions for t
he LTOQ and LPOQ commands.");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_Wait_SHMSG_IO",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222140444000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"Waiting for I/O to the short message (SHMSG)dataset",
"*IF *VALUE IMS_Bottleneck_Analysis_Detail.Description *EQ 'SHMSG_I/O' *
AND *VALUE IMS_Bottleneck_Analysis_Detail.Transaction_Count *GT 0.0"); 

/* MQ Series - added by BGT 4-29-08 */

$PARMS("This situation triggers for a Dependent Region when an OTMA TPIP
E is waiting for an ACK or NAK for a commit-then-send, CM0, output respo
nse.  If this event persists, the OTMA client should be investigated to 
determine why an ACK/NAK response is not occurring or is taking too long
.");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepReg_OTMA_ACKNAK_Warning",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080429140444000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"Waiting on an ACK/NAK for OTMA TPIPE",
"*IF *VALUE Dependent_Regions.OTMA_Status_WAITH *EQ Yes *OR *VALUE Depen
dent_Regions.OTMA_Status_WAITA *EQ Yes"); 

/* Global Locks - added by BGT 5-13-08 */

$PARMS("Lock conflicts have been detected and the lock owner that is not
 waiting on other locks has been identified. This lock owner is consider
ed the top blocker and should be examined to see if this conflict is imp
acting your system. If so, and the job does not need to be holding the l
ocks, you may be able to cancel the job or transaction identified.");                           
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES('IMS_Lock_Conflict_TopBlocker',
?,
"00G0000000000000000000000000000000########F",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080501120618000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"The top blocker for a conflict has been recognized",
"*IF *VALUE IMS_Lock_Conflicts.Top_Blocker *EQ Yes"); 


/* MSC Added 8-4-08 BGT */
$PARMS("The number of bytes per second exceeds the threshold.  This may 
indicate a runaway transaction.");  

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_MSC_Link_Byte_SendRate_High",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222135124000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"MSC Link Bytes Send Rate High",
"*IF *VALUE IMS_Local_MSC_Performance_Statistics.SBYTERT *GT 131072.0");


$PARMS("The number of send I/Os per second exceeds the threshold.  This 
may indicate a runaway transaction."); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_MSC_Link_Send_IO_Rate_High",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222135124000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"MSC Link Send I/O Rate High",
"*IF *VALUE IMS_Local_MSC_Performance_Statistics.SIORT *GT 131072.0");  
  

$PARMS("The number of bytes received per second exceeds the threshold.  
This may indicate a runaway transaction.");       

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_MSC_Link_Byte_Rec_Rate_High",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222135124000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"MSC Link Bytes Receive Rate High",
"*IF *VALUE IMS_Local_MSC_Performance_Statistics.RBYTERT *GT 131072.0");


$PARMS("The number of receive I/Os per second exceeds the threshold.  Th
is may indicate a runaway transaction."); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_MSC_Link_Rec_IO_Rate_High",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080222135124000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Warning~",
"",
"MSC Link Receive I/O Rate High",
"*IF *VALUE IMS_Local_MSC_Performance_Statistics.RIORT *GT 131072.0");  

/* Dependent Region in Long Lock Wait - added by RJS 8-4-08 */

$PARMS("This situation triggers for a Dependent Region when the region i
s waiting too long for an IRLM or PI lock. The Dependent Regions and Loc
k Conflicts workspaces can be used to identify the application owning th
e resource and the top blocking application. Use application trace to he
lp determine why the top blocking application is holding the resource to
o long, and if necessary, cancel the application."); 
               
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepReg_Long_Lock_Wait",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080429140444000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"Dependent region in long lock wait",
"*IF ( *VALUE Dependent_Regions.Lock_Elapsed_Time *GE 1) *AND ( *VALUE D
ependent_Regions.Region_Status *EQ Wait-IRLM *OR *VALUE Dependent_Region
s.Region_Status *EQ Wait-PIENQ)");

/* RTA Minutes - added by BGT 8-12-08 */

$PARMS("Use Omegamon functions to determine the reason for the bad respo
nse time. Potential reasons: lock conflicts, problems with input or outp
ut queues, ..."); 
               
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_RTA_Threshold_Exceeded",
?,
"00G000000000000000000000000000000G000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080814140444000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"SEV=Critical~",
"",
"RTA threshold exceeded",
"*IF *VALUE IMS_RTA_Groups_Recent_Mins.EXCEEDED *EQ Yes");

/* End v420 Development */   

/* V420 IF1 - changes to add the "SEV=xxx" to SITINFO for TEC and OMNIBU
S */
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "TFWD=Y;SEV=Unknown;TDST=0;~"
WHERE SITNAME = "IMS_Plex_Heartbeat";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_CMD_CF_RLE_Pct_Critical";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_CMD_Lock_Wait_Time_Critical";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_CMD_MQ_STATUS_Critical";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_CMD_MSC_Q_Count_Critical";	
		
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_CMD_RTA_Group_Resp_Critical";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Crit";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_MSC_Queue_Count_Critical";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_MSC_Queue_Count_Warning";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_MSC_Queue_Status";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_RTA_Group_Response_Critical";			
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_RTA_Group_Response_Warning";			
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_RTA_Item_Response_Critical";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_RTA_Item_Response_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Largest_Freeblock_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Largest_Freeblock_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_CPU_High_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_CPU_High_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_CPU_Low_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_CPU_Low_Critical";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Region_EXCP_High_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Region_EXCP_High_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Region_EXCP_Low_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Region_EXCP_Low_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Common_PageIn_High_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Common_PageIn_High_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Private_PageIn_High_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Private_PageIn_High_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_WSS_High_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_WSS_High_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_WSS_Low_Warning";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_WSS_Low_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_DS_IORate_High_Warning";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DS_IORate_High_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Pool_Util_High_Warning";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Pool_Util_High_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Held_Locks_Warning";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Held_Locks_Critical";						
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_WaitSVC";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DB_IO_Errors";						
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DB_Dyn_Backout_Error";	
		
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DEDB_Error";	
		
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_PoolFreeBlocks";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DeviceNotResponding";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DeviceNotReady";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegSwappedOut";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_ExSubNoCtl";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_ExSubNoDep";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Inactive";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DeviceErrorRecovery";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_IRLM_Not_Connected";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_IRLM_Inactive";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_IRLM_Contention_Warning";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_IRLM_Contention_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_IRLM_Utilization_Warning";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_IRLM_Utilization_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Tasks_Waiting_Warning";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Tasks_Waiting_Critical";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_LogTape_Writeahead";		
		
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_VTAM_ACB_Status";		
		
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_LU_Status";		
		
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Parallel_DLI_Status";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Recon_Reserved";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Start_DC";
		
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_VTAM_Auth_Path";
		
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Logging_DS_Error";
		
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Logging_AutoArchive";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Online_Change_Active";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Online_Change_Occurred";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_OLDS_IO_Errors_Critical";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_BP_Locked_Count";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_OLDS_One_Active";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_OSAM_Rate_High_Warning";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_OSAM_Rate_High_Critical";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Waiting_Dyn_SAP";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_TCO_Inactive";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_VSAM_Rate_High_Warning";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_VSAM_Rate_High_Critical";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Logging_WriteAhead";		
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Physical_Logger_SVC";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Threads_Active_Low";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Threads_Active_High";
				
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Threads_Elapsed_Time_High";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_HALDB_Part_Not_Initialized";
				
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_HALDB_Partition_Stopped";
				
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegDLICallHigh";
				
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegDLETCallHigh";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegGHNCallHigh";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegGHNPCallHigh";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegGHUCallHigh";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegGNCallHigh";	
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegGNPCallHigh";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegGUCallHigh";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegISRTCallHigh";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegREPLCallHigh";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegMsgGNCallHigh";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegMsgGUCallHigh";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegMsgISRTCallHigh";
	
UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegMsgPURGCallHigh";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegMsgTotalCallHigh";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepRegDLICallsPerTransHigh";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_DepReg_Occupancy_Low";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepReg_Occupancy_High";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Connect_Response_Time_High";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Connect_Tran_MsgRate_High";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Connect_NAK_Response_High";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Connect_Port_Avg_Depth_High";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Connect_Port_Max_Depth_High";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_OTMA_TIBs_In_Use_Critical";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_OTMA_TIBs_In_Use_Warning";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_OTMA_TMEMBER_In_Flood";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_OTMA_TPIPE_Stopped";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_OTMA_TPIPE_Wait_ACK_NAK";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_OTMA_TPIPE_Output_Que_High";		

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Wait_IRLM";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Wait_IWAIT_in_Term";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Wait_LGMSG_IO";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Wait_PI";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Wait_QBLKS_IO";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Wait_Sync_Point";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_Wait_SHMSG_IO";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_DepReg_OTMA_ACKNAK_Warning";		

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_Lock_Conflict_TopBlocker";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_MSC_Link_Byte_SendRate_High";		

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_MSC_Link_Send_IO_Rate_High";		

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_MSC_Link_Byte_Rec_Rate_High";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Warning~"
WHERE SITNAME = "IMS_MSC_Link_Rec_IO_Rate_High";

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_DepReg_Long_Lock_Wait";	

UPDATE O4SRV.TSITDESC
SET SITINFO = "SEV=Critical~"
WHERE SITNAME = "IMS_RTA_Threshold_Exceeded";	

/* End V420 IF1 Changes */

UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2747"
WHERE SITNAME = "IMS_BP_Locked_Count";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_BP_Locked_Count";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2748"
WHERE SITNAME = "IMS_CMD_CF_RLE_Pct_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2749"
WHERE SITNAME = "IMS_CMD_Lock_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2750"
WHERE SITNAME = "IMS_CMD_MQ_STATUS_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2751"
WHERE SITNAME = "IMS_CMD_MSC_Q_Count_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2752"
WHERE SITNAME = "IMS_CMD_RTA_Group_Resp_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2753"
WHERE SITNAME = "IMS_CPU_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CPU_High_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2754"
WHERE SITNAME = "IMS_CPU_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CPU_High_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2755"
WHERE SITNAME = "IMS_CPU_Low_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CPU_Low_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2756"
WHERE SITNAME = "IMS_CPU_Low_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CPU_Low_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2757"
WHERE SITNAME = "IMS_Common_PageIn_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Common_PageIn_High_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2758"
WHERE SITNAME = "IMS_Common_PageIn_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Common_PageIn_High_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2759"
WHERE SITNAME = "IMS_DB_Dyn_Backout_Error";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DB_Dyn_Backout_Error";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2760"
WHERE SITNAME = "IMS_DB_IO_Errors";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DB_IO_Errors";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2761"
WHERE SITNAME = "IMS_DEDB_Error";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DEDB_Error";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2762"
WHERE SITNAME = "IMS_DS_IORate_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DS_IORate_High_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2763"
WHERE SITNAME = "IMS_DS_IORate_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DS_IORate_High_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2764"
WHERE SITNAME = "IMS_DepRegSwappedOut";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegSwappedOut";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2765"
WHERE SITNAME = "IMS_DeviceErrorRecovery";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DeviceErrorRecovery";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2766"
WHERE SITNAME = "IMS_DeviceNotReady";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DeviceNotReady";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2767"
WHERE SITNAME = "IMS_DeviceNotResponding";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DeviceNotResponding";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2768"
WHERE SITNAME = "IMS_ExSubNoCtl";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_ExSubNoCtl";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2769"
WHERE SITNAME = "IMS_ExSubNoDep";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_ExSubNoDep";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2770"
WHERE SITNAME = "IMS_Held_Locks_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Held_Locks_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2771"
WHERE SITNAME = "IMS_Held_Locks_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Held_Locks_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2772"
WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Crit";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2773"
WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2774"
WHERE SITNAME = "IMS_IRLM_Contention_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Contention_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2775"
WHERE SITNAME = "IMS_IRLM_Contention_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Contention_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2776"
WHERE SITNAME = "IMS_IRLM_Inactive";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Inactive";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2777"
WHERE SITNAME = "IMS_IRLM_Not_Connected";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Not_Connected";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2778"
WHERE SITNAME = "IMS_IRLM_Utilization_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Utilization_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2779"
WHERE SITNAME = "IMS_IRLM_Utilization_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Utilization_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2780"
WHERE SITNAME = "IMS_Inactive";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Inactive";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2781"
WHERE SITNAME = "IMS_LU_Status";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_LU_Status";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2782"
WHERE SITNAME = "IMS_Largest_Freeblock_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Largest_Freeblock_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2783"
WHERE SITNAME = "IMS_Largest_Freeblock_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Largest_Freeblock_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2784"
WHERE SITNAME = "IMS_LogTape_Writeahead";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_LogTape_Writeahead";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2785"
WHERE SITNAME = "IMS_Logging_AutoArchive";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Logging_AutoArchive";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2786"
WHERE SITNAME = "IMS_Logging_DS_Error";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Logging_DS_Error";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2787"
WHERE SITNAME = "IMS_Logging_WriteAhead";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Logging_WriteAhead";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2789"
WHERE SITNAME = "IMS_MSC_Queue_Count_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2790"
WHERE SITNAME = "IMS_MSC_Queue_Count_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2792"
WHERE SITNAME = "IMS_OLDS_IO_Errors_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OLDS_IO_Errors_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2793"
WHERE SITNAME = "IMS_OLDS_One_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OLDS_One_Active";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2794"
WHERE SITNAME = "IMS_OSAM_Rate_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OSAM_Rate_High_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2795"
WHERE SITNAME = "IMS_OSAM_Rate_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OSAM_Rate_High_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2796"
WHERE SITNAME = "IMS_Online_Change_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Online_Change_Active";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2797"
WHERE SITNAME = "IMS_Online_Change_Occurred";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Online_Change_Occurred";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2798"
WHERE SITNAME = "IMS_Parallel_DLI_Status";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Parallel_DLI_Status";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2799"
WHERE SITNAME = "IMS_Physical_Logger_SVC";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Physical_Logger_SVC";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2800"
WHERE SITNAME = "IMS_Plex_Heartbeat";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Plex_Heartbeat";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2801"
WHERE SITNAME = "IMS_PoolFreeBlocks";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_PoolFreeBlocks";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2802"
WHERE SITNAME = "IMS_Pool_Util_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Pool_Util_High_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2803"
WHERE SITNAME = "IMS_Pool_Util_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Pool_Util_High_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2804"
WHERE SITNAME = "IMS_Private_PageIn_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Private_PageIn_High_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2805"
WHERE SITNAME = "IMS_Private_PageIn_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Private_PageIn_High_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2806"
WHERE SITNAME = "IMS_RTA_Group_Response_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2807"
WHERE SITNAME = "IMS_RTA_Group_Response_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2808"
WHERE SITNAME = "IMS_RTA_Item_Response_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2809"
WHERE SITNAME = "IMS_RTA_Item_Response_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2810"
WHERE SITNAME = "IMS_Recon_Reserved";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Recon_Reserved";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2811"
WHERE SITNAME = "IMS_Region_EXCP_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Region_EXCP_High_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2812"
WHERE SITNAME = "IMS_Region_EXCP_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Region_EXCP_High_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2813"
WHERE SITNAME = "IMS_Region_EXCP_Low_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Region_EXCP_Low_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2814"
WHERE SITNAME = "IMS_Region_EXCP_Low_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Region_EXCP_Low_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2815"
WHERE SITNAME = "IMS_Start_DC";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Start_DC";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2816"
WHERE SITNAME = "IMS_TCO_Inactive";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_TCO_Inactive";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2817"
WHERE SITNAME = "IMS_Tasks_Waiting_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Tasks_Waiting_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2818"
WHERE SITNAME = "IMS_Tasks_Waiting_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Tasks_Waiting_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2819"
WHERE SITNAME = "IMS_VSAM_Rate_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_VSAM_Rate_High_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2820"
WHERE SITNAME = "IMS_VSAM_Rate_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_VSAM_Rate_High_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2821"
WHERE SITNAME = "IMS_VTAM_ACB_Status";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_VTAM_ACB_Status";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2822"
WHERE SITNAME = "IMS_VTAM_Auth_Path";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_VTAM_Auth_Path";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2823"
WHERE SITNAME = "IMS_WSS_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WSS_High_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2824"
WHERE SITNAME = "IMS_WSS_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WSS_High_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2825"
WHERE SITNAME = "IMS_WSS_Low_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WSS_Low_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2826"
WHERE SITNAME = "IMS_WSS_Low_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WSS_Low_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2827"
WHERE SITNAME = "IMS_WaitSVC";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WaitSVC";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2828"
WHERE SITNAME = "IMS_Waiting_Dyn_SAP";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Waiting_Dyn_SAP";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3596"
WHERE SITNAME = "IMS_HALDB_Part_Not_Initialized";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_HALDB_Part_Not_Initialized";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3597"
WHERE SITNAME = "IMS_HALDB_Partition_Stopped";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_HALDB_Partition_Stopped";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3598"
WHERE SITNAME = "IMS_Threads_Active_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Threads_Active_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3599"
WHERE SITNAME = "IMS_Threads_Active_Low";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Threads_Active_Low";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3600"
WHERE SITNAME = "IMS_Threads_Elapsed_Time_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Threads_Elapsed_Time_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3957"
WHERE SITNAME = "IMS_Connect_NAK_Response_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_NAK_Response_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3958"
WHERE SITNAME = "IMS_Connect_Port_Avg_Depth_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_Port_Avg_Depth_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3959"
WHERE SITNAME = "IMS_Connect_Port_Max_Depth_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_Port_Max_Depth_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3960"
WHERE SITNAME = "IMS_Connect_Response_Time_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_Response_Time_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3961"
WHERE SITNAME = "IMS_Connect_Tran_MsgRate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_Tran_MsgRate_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3962"
WHERE SITNAME = "IMS_DepRegDLETCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegDLETCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3963"
WHERE SITNAME = "IMS_DepRegDLICallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegDLICallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3964"
WHERE SITNAME = "IMS_DepRegDLICallsPerTransHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegDLICallsPerTransHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3965"
WHERE SITNAME = "IMS_DepRegGHNCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGHNCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3966"
WHERE SITNAME = "IMS_DepRegGHNPCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGHNPCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3967"
WHERE SITNAME = "IMS_DepRegGHUCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGHUCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3968"
WHERE SITNAME = "IMS_DepRegGNCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGNCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3969"
WHERE SITNAME = "IMS_DepRegGNPCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGNPCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3970"
WHERE SITNAME = "IMS_DepRegGUCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGUCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3971"
WHERE SITNAME = "IMS_DepRegISRTCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegISRTCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3972"
WHERE SITNAME = "IMS_DepRegMsgGNCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgGNCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3973"
WHERE SITNAME = "IMS_DepRegMsgGUCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgGUCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3974"
WHERE SITNAME = "IMS_DepRegMsgISRTCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgISRTCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3975"
WHERE SITNAME = "IMS_DepRegMsgPURGCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgPURGCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3976"
WHERE SITNAME = "IMS_DepRegMsgTotalCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgTotalCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3977"
WHERE SITNAME = "IMS_DepRegREPLCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegREPLCallHigh";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3978"
WHERE SITNAME = "IMS_DepReg_Occupancy_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepReg_Occupancy_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP3979"
WHERE SITNAME = "IMS_DepReg_Occupancy_Low";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepReg_Occupancy_Low";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Threads_Elapsed_Time_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_CF_RLE_Pct_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_Lock_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_MQ_STATUS_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_MSC_Q_Count_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_RTA_Group_Resp_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Queue_Count_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Queue_Count_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Queue_Status";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_RTA_Group_Response_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_RTA_Group_Response_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_RTA_Item_Response_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_RTA_Item_Response_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP4095"
WHERE SITNAME = "IMS_MSC_Queue_Status";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371590"
WHERE SITNAME = "IMS_DepReg_OTMA_ACKNAK_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepReg_OTMA_ACKNAK_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371591"
WHERE SITNAME = "IMS_Lock_Conflict_TopBlocker";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Lock_Conflict_TopBlocker";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371592"
WHERE SITNAME = "IMS_OTMA_TIBs_In_Use_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OTMA_TIBs_In_Use_Critical";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371593"
WHERE SITNAME = "IMS_OTMA_TIBs_In_Use_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OTMA_TIBs_In_Use_Warning";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371594"
WHERE SITNAME = "IMS_OTMA_TMEMBER_In_Flood";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OTMA_TMEMBER_In_Flood";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371595"
WHERE SITNAME = "IMS_OTMA_TPIPE_Output_Que_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OTMA_TPIPE_Output_Que_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371596"
WHERE SITNAME = "IMS_OTMA_TPIPE_Stopped";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OTMA_TPIPE_Stopped";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371597"
WHERE SITNAME = "IMS_OTMA_TPIPE_Wait_ACK_NAK";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OTMA_TPIPE_Wait_ACK_NAK";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371598"
WHERE SITNAME = "IMS_Wait_IRLM";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Wait_IRLM";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371599"
WHERE SITNAME = "IMS_Wait_IWAIT_in_Term";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Wait_IWAIT_in_Term";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371600"
WHERE SITNAME = "IMS_Wait_LGMSG_IO";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Wait_LGMSG_IO";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371601"
WHERE SITNAME = "IMS_Wait_PI";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Wait_PI";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371602"
WHERE SITNAME = "IMS_Wait_QBLKS_IO";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Wait_QBLKS_IO";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371603"
WHERE SITNAME = "IMS_Wait_SHMSG_IO";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Wait_SHMSG_IO";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008156313371604"
WHERE SITNAME = "IMS_Wait_Sync_Point";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Wait_Sync_Point";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008158718562976"
WHERE SITNAME = "IMS_DepReg_OTMA_ACKNAK_Warning";	
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008231154233986"
WHERE SITNAME = "IMS_RTA_Threshold_Exceeded";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_RTA_Threshold_Exceeded";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008231154233987"
WHERE SITNAME = "IMS_MSC_Link_Byte_Rec_Rate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Link_Byte_Rec_Rate_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008231154233988"
WHERE SITNAME = "IMS_MSC_Link_Byte_SendRate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Link_Byte_SendRate_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008255358161004"
WHERE SITNAME = "IMS_MSC_Link_Rec_IO_Rate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Link_Rec_IO_Rate_High";
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008255358161005"
WHERE SITNAME = "IMS_MSC_Link_Send_IO_Rate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Link_Send_IO_Rate_High";   
UPDATE O4SRV.TSITDESC
SET TEXT = "Kip:KIP2008231154233991"
WHERE SITNAME = "IMS_DepReg_Long_Lock_Wait";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepReg_Long_Lock_Wait";	

 